const Chance = require('chance')
const { user, handlingEditor, author, reviewer } = require('./userData')
const { fragment } = require('./fragments')

const chance = new Chance()
const collections = {
  collection: {
    id: chance.guid(),
    title: chance.sentence(),
    type: 'collection',
    fragments: [fragment.id],
    owners: [user.id],
    save: jest.fn(),
    authors: [
      {
        userId: author.id,
        isSubmitting: true,
        isCorresponding: false,
      },
    ],
    invitations: [
      {
        id: chance.guid(),
        role: 'handlingEditor',
        hasAnswer: false,
        isAccepted: false,
        userId: handlingEditor.id,
        timestamp: chance.timestamp(),
      },
      {
        id: chance.guid(),
        role: 'reviewer',
        hasAnswer: false,
        isAccepted: false,
        userId: reviewer.id,
        timestamp: chance.timestamp(),
      },
    ],
    handlingEditor: {
      id: handlingEditor.id,
      hasAnswer: false,
      isAccepted: false,
      email: handlingEditor.email,
      timestamp: chance.timestamp(),
      name: `${handlingEditor.firstName} ${handlingEditor.lastName}`,
    },
  },
}

module.exports = collections
